% This script is split into 2 parts with codes to prepare data from 2 measuring points.
% Part 1. Lines of codes for preparing data from the 'upstream' time series - data should be a 1D column vector.
% Smoothing raw data with a moving average filter having a span equal to the number of measurements of a day.
smoothedU=smooth(upstream,24);
% Finding the absolute value of the biggest difference between the raw and smoothed data.
differenceU=max(abs([min(upstream-smoothedU),max(upstream-smoothedU)]));
% Using the absolute value to lower the smoothed time series below any point of the raw data.
subtrendU=smoothedU-differenceU;
% Extracting the detrended diurnal evolution from the raw data;
detrendedU=upstream-subtrendU;
% Normalising the detrended time series for comparison purposes.
PnormalisedU=(detrendedU-min(detrendedU))/(max(detrendedU)-min(detrendedU));
% Part 2. Lines of codes for preparing data from the 'downstream' time series - data should be a 1D column vector.
% Smoothing raw data with a moving average filter having a span equal to the number of measurements of a day.
smoothedD=smooth(downstream,24);
% Finding the absolute value of the biggest difference between the raw and smoothed data.
differenceD=max(abs([min(downstream-smoothedD),max(downstream-smoothedD)]));
% Using the absolute value to lower the smoothed time series below any point of the raw data.
subtrendD=smoothedD-differenceD;
% Extracting the detrended diurnal evolution from the raw data;
detrendedD=downstream-subtrendD;
% Normalising the detrended time series for comparison purposes.
PnormalisedD=(detrendedD-min(detrendedD))/(max(detrendedD)-min(detrendedD));